%Usage:
% kflog = LogIndex(Freqs,NumberOfPointsPerOct)

function [kflog] = LogIndex(F,Nppo)
Flo=F(1);Fhi=F(end); DF=F(2)-F(1);
Noct=log2(Fhi/Flo);
Nppo=2;% 3 points per octave
Npts=Noct*Nppo; %Total number of points
Nr=2^(1/Nppo); %ratio between points
fr=Nr.^(1:Npts);
Flog=Flo*(Nr.^(0:Npts));
kflog = round(1 + (Flog-Flo)/DF);
